Upgrading from 5.5.00 to 5.5.04

Greetings everyone

I currently have the dubious honour of looking into upgrading our 5.5.00
database to 5.5.04 (the comments I have read in this ng regarding ASA 6
lead me to believe that a greater leap is too dangerous at this time).

Our only previous experience of upgrading the database was a move from
5.0.02 to 5.5.00 which resulted in breaking our accounting module leading
to numerous fixes and costly retesting. The breakages were mainly due to
behavioural changes of the ODBC driver (e.g. in stored procs - not using
the result clause for the column names and types for backward
compatibility).

I have tried the upgrade to 5.5.04 and again I have found ODBC behaviour
changes and stricter syntax checking which break our existing applications.

I would be grateful for any answers to the following questions:

Is there any way of predicting the impact of the upgrade (has anyone
written any utilities/syntax checker) or is it a case of trial and error,
testing every part of an applications to see if it still works ?

Has anyone out there experienced such an upgrade and is willing to divulge
details of things to look out for ? 

The downloadable patch takes you to build #1867 yet Sybase UK has recently
sent us version 5.5.04#1915 on a CD. I take it that this has ebfs applied
to it and therefore may not be as stable as the #1867 build. Is it safer to
stick with #1867 ?

Many thanks

Adrian Thomas
0
Adrian
11/18/1998 3:36:04 PM
sybase.sqlanywhere.general 32637 articles. 22 followers. Follow

1 Replies
901 Views

Similar Articles

[PageSpeed] 26
Get it on Google Play
Get it on Apple App Store

>The downloadable patch takes you to build #1867 yet Sybase UK has recently
sent us version 5.5.04#1915 on a CD. I take it that this has ebfs applied to
it and therefore may not be as stable as the 1867 build. Is it safer tostick
with #1867 ?<

EBFs is correct.  Not all of them however.  That level will not run on
NetWare5.  Other than that, I don't know of a problem.

It depends what version of Clarion.  If you are talking CW5, you'll be OK.
With CW4, I doubt it until they release C4C.  With CW2.003, 5.5.02 is as far
as you can go safely.

Jack T.



0
Jack
11/20/1998 12:05:36 AM
Reply:

Similar Artilces:

Upgrading 5.5.5 to 6.5.5
I am going to be upgrading from GW 5.5.5 to GW6.5.5 Anybody aware of any gotcha's or have any advice? LauraB@itdynamics.co.za wrote: > I am going to be upgrading from GW 5.5.5 to GW6.5.5 Anybody aware of > any gotcha's or have any advice? Not really. Before you upgrade rebuilt the post offices and domains or do at least a validate of the databases. If you are not really experienced I recommend to purchase the caledonia upgrade guide. -- Cheers, Edward ...

Moving from 5.5.00 to 5.5.04
All, We are making the move from 5.5.00 to 5.5.04 build # 1888 (A little late but making it none the less). We have been running 5.5.00 from inception and have been plagued by the missing primary key row problem as well as some passthrough problems. We have made some PASSTHROUGH changes to the current publications. To be safe, I am planning on removing all pubs and subscribers at each of the consolidated sights and redoing same after upgrading to 1888. Is there anything special I should do with respect to the consolidated database (Upgrade utility, etc) to ensure I get the best possi...

upgrade 5.5.04 to 5.5.05
I have build 1982 of 5.5.04 installed and tried to install 5.5.05 over this since there were a lot of bug-fixes. After installation had finished I notised that the installation had not replaced any files. I suspect the reason is that build 1982 of 5.5.04 has newer date (sep. 7. 99) than 5.5.05 (july 22. 99). What is the best version for me to use? If 5.5.05. is the best version, how should i upgrade? Thanks in advance, Lars Yes this is true - we look at file dates Please backup your software, then install 5.5.04 off your CD, then install 5.5.05 patch Lars Inge ...

Upgrade 5.5.5 to 6.5
I'm wondering if I can upgrade my whole backend (MTA & POA's) and then gradually (pick and choose) which clients I want to switch over to the new 6.5 client. Can I do this ? Caledonia's "GW 6.5 Upgrade Guide" says yes, but to watch out for 1) the renamed Sent Items folder and 2) D109 errors opening mail. Has anyone got the #2) error and is it very prominent ? David Schryer SOLGEN You can. The D109 error can happen from time to time. -- Timothy Leerhoff Principal Consultant Independant Experts Novell Support Forums Volenteer Sys...

Upgrade to 5.4.5 or 5.5
Hi, Currently we are running eBiz version 5.4.2.5 under Winodw2000. We are having cluster died issue since the beginning. Now we are planning to move to 5.4.6 or 5.5. Would someone help me to share if there are any serious issues with new versions (for windows)? Should we go with Win2000 or Win2003. Thanks Aftab Aftab,.. Our advise for this moment is to run impact 5.4.6. under Win2003. (See also your earlier replay on Carl's post) We do have some problems with startin a cluster from a earlier ersion of impact. The cluster won't start always correct or won't...

5.5.03 OR 5.5.04 ?
I've just installed the 5.5.04 maint release. On opening my database (created in 5.5), its properties state that the version is 5.5.03. As many have no doubt upgraded to 5.5.04, could someone pls advise if this is 'correct' behaviour? Many thanks in advance -- MAX HUGEN Hugen Enterprises Pty Ltd Email: maxhugen@ozemail.com.au Tel: +612 9560 3061 Fax: +612 9564 5073 >I've just installed the 5.5.04 maint release. On opening my database >(created in 5.5), its properties state that the version is 5.5.03. >As many have no doubt upgraded to 5.5.04, could...

5.5.03 or 5.5.04??
I hope this has not been asked to death? But I will be upgrading our test system from 5.5.02 build 1495 to either 5.5.03 or 5.5.04. First is there anything in 03 that is not included in 04? Second, are there any known problems with 04? I'll listen to facts, rumors, opinions, etc. TIA Shannon 5.5.04 seems pretty stable. -- Terry Black HCIA, Inc. e-mail:tblac@hcia.com Shannon Griffith wrote in message ... >I hope this has not been asked to death? But I will be upgrading our test >system from 5.5.02 build 1495 to either 5.5.03 or 5.5.04. First is there >a...

5.5.00 to 5.5.04 Update Problem
<!doctype html public "-//w3c//dtd html 4.0 transitional//en"> <html> I'm getting database error "-157 Cannot convert SQLDATETIME to a date" after updating my SQL Anywhere from 5.5.00 to 5.5.04.&nbsp; The error only ocurred after updating to 5.5.04 and goes away if I go back to 5.5.00. The error is the result of an embedded SQL statement in which the timestamp is in the WHERE clause of a SELECT statement. Any ideas?</html> Can you post some DDL and DML to reproduce this with? -- Jim Egan [TeamPS] Dynamic Data Solutions, Inc. http://ww...

ODBC error on upgrade of 5.5.00 to 5.5.04 or Y2K patch
Dear all, We have inhereted some software from a company that went bust. We are trying to implement Y2K fixes on the software for all their existing customers. When we upgrade the database from 5.5.00 to 5.5.04 we get the following ODBC message on a Select Statement: Run-time error '-2147217900(80040e14) [Sybase][ODBC Driver]Syntax error:near 'case' in...CaseRefNumber FROM [case] WHERE ID = '235' This message occurs when the following SELECT statment is passed. This happens both in our VC++ product with ODBC and also the later VB programs using ADO (ho...

5.5.03->5.5.04 upgrade
I'm running 5.5.03. Can you download the latest updates from FTP and upgrade 5.5.03 to the latest 5.5.04, or does the .03-.04 upgrade have to be purchased somewhere first? George Hale SSC Group, Inc. Kerrville, TX Overlooking the Guadalupe You can download the upgrade for free from support.sybase.com. You'll have to register yourself to get a login ID, but that's free too. -- Jim Egan [TeamPS] Dealer Solutions, Inc. Houston, TX See you at the Powersoft User Conference in August - http://www.sybase.com/events/psuc98 George Hale <sschale@ktc.co...

Run 5.5.00 + 5.5.04 on same server?
Is it possible to run two separate engines of different versions on the same server? I have a customer that has a third party application running 5.5.00 on Novell Netware. My application has been tested under 5.5.04. The customer would like each app to run under their recommended configurations, so he's looking at running 2 instances of the database engine NLM, one for the third party app and the second for our app. Is this possible, and if so, are there any issues with the engine being of different versions (they would be installed to a separate directory on the Novell server, ...

High processor utilization/Upgrade 5.5.04 to 5.5.05
We are running 5.5.04, build 1867 on NT server, and having a problem with high processor utilization. Vendor supplied us with new version of their program, written in Delphi, that was loaded last weekend. Since then, processor utilization has jumped from single digits to 70-80%, and application is s-l-o-w. Will upgrade to 5.5.05 do any good? Can I apply the EBF for 05.05.05 to upgrade 5.05.04, or do I need to upgrade the base version first. (And if so, how?) Vendor's not very knowledgeable about SQL Anywhere fine-tuning, so I appreciate any pointers. IMHO, if your applic...

Upgrade from 5.5 to 6.5
Hi, I am in the process of upgrading from 5.5EP sp4 on Netware 5.1, edir8.7.1 to 6.5. Are there any gotchas? Is it a straight forward procedure, I cant seem to find definitive documentation on this process.? Any Advice/help would be greatly appreciated. TLI Take a look at the GroupWise upgrade guide from www.caledonia.net. -- Timothy Leerhoff Principal Consultant Independant Experts Novell Support Forums Sysop Hi - our 5.5 ep sp5 to 6.5 went really well, the only problems we encountered was with the 5.5 clients having D109 error, most of these ar...

upgrading to GW6.5 from 5.5
Is it recommended to have two domains before upgrading to 6.5? Setup one as the primary and another as secondary. Any good TIDs on doing this? The Domain is the first piece I need to upgrade right? Henry Lei wrote: > Is it recommended to have two domains before upgrading to 6.5? Setup one as > the primary and another as secondary. Any good TIDs on doing this? > > The Domain is the first piece I need to upgrade right? > Please post this in the groupwise forum. -- Andy Thompson Novell Product Support Forum SysOp (No email support, thanks.) ...

Web resources about - Upgrading from 5.5.00 to 5.5.04 - sybase.sqlanywhere.general

Facebook Starts Upgrading Profiles To Timeline
A couple of readers told us that timeline previews have kicked in on their profiles without their having initiated the change themselves. A welcome ...

Facebook Upgrading “Insights” Metrics Dashboard for Page Managers Tonight
Facebook has just begun pushing an upgrade to its “Insights” metrics dashboard for Facebook Pages that gives administrators more visibility into ...

Flickr: Help: Free Accounts, Upgrading and Gifts
Flickr is almost certainly the best online photo management and sharing application in the world. Show off your favorite photos and videos to ...

Mac Spoofed: Upgrading [Low Quality]
PC teaches Mac about the benefits of upgradability.

Coalition's NBN will need ongoing, costly upgrading, experts warn
The Coalition's planned broadband infrastructure will "freeze" broadband speeds, and need ongoing and expensive upgrading to resemble the system ...

Beware of unintended and costly consequences when upgrading houses
Meeting the Building Code measures on energy efficiency is a potentially tricky business, even if you are upgrading or extending only one part ...

Nuclear states still upgrading stocks
Nuclear armed states continue to upgrade their stockpiles despite s trend towards global disarmament.

Looks like Labor's upgrading from Tarago to minibus
The people of Stafford have done the rest of Queensland a favour by electing Dr Anthony Lynham.

Promise check: $16m towards upgrading Hobart's Cadbury factory
Keep track of the Coalition's promise to spend $16 million on upgrading Hobart's Cadbury chocolate factory.

Upgrading IOIO to Bluetooth - YouTube
An instructional video showing how to upgrade IOIO's firmware in order to make it Bluetooth capable. Downloads are at: https://github.com/yt ...

Resources last updated: 12/21/2015 10:46:33 AM